{% set PageTitle = "Sign In Page" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}
<div id="api"></div>
<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
          <div class="opv-master__main">
            <div class="opv-master__left-content">
              <div id="opv-left-nav"></div>
            </div>
            <div class="opv-master__right-content">
                <div id="opv-right-nav"></div>
            </div>
          </div>
        </div>
      </div>
</div>

{% endblock %}
{% block scripts %}
<script>
    ReactDOM.render(React.createElement(Components.OpvSignInPage,{
        formArea: `<div id="signin-form-area"></div>`,
        termsCheckbox: `<input type="checkbox" name="t&c" value="t&c"> I agree to the LV= <a href=#>Terms of use</a>`,
        link: `<a href="#">Forgotten your password?</a>`,
        content: `
        <p class="content-heading"><b>Create an account</b></p>
        <p>If you’re registering for the first time you’ll be asked for some personal information which will help us confirm your identity:</p>
        <ul>
            <li>Policy number</li>
            <li>Date of birth</li>
            <li>Postcode</li>
        </ul>
        <p>Once you have entered your details we will send you a “one time access code” in the post within 3-5 working days which you will need to complete registration. 
            This helps to ensure your account is set up securely.</p>
        `,
    }), document.getElementById("opv-left-nav"));
    
    ReactDOM.render(React.createElement(Components.Form, {
            endpoint : '#',
            submit : 'Sign in',
            intro : `Enter your email and password. You chose these when you registered your account and logged in for the first time`,
            heading :'Sign in',
            groups: [
            {
                id : 'group1',
                fields:[
                    {
                        id : 'email-signin',
                        type : 'email',
                        label : 'Email',
                        placeholder : 'Enter your email address',
                        customError : 'Please enter a valid email address',
                        isRequired : false
                    },
                    {
                        id : 'password-signin',
                        type : 'text',
                        label : 'Password',
                        placeholder : 'Enter your password',
                        isRequired : false
                    }
                ]
            }
        ],
    }), document.getElementById("signin-form-area"));

    ReactDOM.render(React.createElement(Components.OpvRightNav, {
    title: `Need some help?`,
    content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
    cta:`<img src="../../dist/images/icon/icon-faq.svg" />`,
    faqTxt: `FAQ`,
    theme:{
        themeName:'cool-grey'
    },
    
    faqContent: `<h6>FAQ’s</h6>
        <p class="faq-subhead"><b>Registration</b></p>

        <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
        <p class="faq-copy ans"><b>A.</b></p>
        
        <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
        <p class="faq-copy ans"><b>A.</b></p>

        <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
        <p class="faq-copy ans"><b>A.</b></p>

        <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
        <p class="faq-copy ans"><b>A.</b></p>

        <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
        <p class="faq-copy ans"><b>A.</b></p>

        <p class="paraHeading"><b>Logged in</b></p>

        <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
        <p class="faq-copy ans"><b>A.</b></p>
        <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
        <p class="faq-copy ans"><b>A.</b></p>`
    }), document.getElementById('opv-right-nav'));
</script>
{% endblock %}